/*
 * lconfig.h.in
 *
 * Local configuration
 *
 * Ulrik Petersen
 * Created: 10/21-2001
 * Last update: 3/16-2004
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2004  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


#ifndef LCONFIG__H__
#define LCONFIG__H__

#define HAVE_WSTRING 1
#define HAVE_OSTREAM_OUT_WSTRING 1

#define USE_POSTGRESQL 1
#define USE_MYSQL 0
#define USE_ODBC 0

#define LINUX 0
#define SUN 0

/* Set this to 1 if you want the default password compiled in. */
#define USE_DEFAULT_PASSWORD 0

#define HAVE_ISTREAM 1
#define HAVE_OSTREAM 1

#endif /* LCONFIG__H__ */
