#
# Emdros Win32 Makefile for tests directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)




!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\win32\config.mak

CPP=cl.exe
RSC=rc.exe

OUTDIR=..\win32\Release
INTDIR=..\win32\Release
# Begin Custom Macros
OutDir=..\win32\Release
# End Custom Macros


ALL : "$(OUTDIR)\emdftry.exe" "$(OUTDIR)\mqltry.exe" 

CLEAN :
	-@erase "$(OUTDIR)\mqltry.exe"
	-@erase "$(OUTDIR)\emdftry.exe"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I ".." /I "..\include" $(DBINCLUDE) \
 /D "NDEBUG" /D "WIN32" /D "_WINDOWS" \
 /Fo"$(INTDIR)\\" /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_OBJS=..\win32\Release/
CPP_SBRS=.
	

LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
 advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib \
 wsock32.lib odbccp32.lib \
 $(DBLIB) \
 "$(OUTDIR)\libemdf.lib"  \
 /subsystem:console \
 /machine:I386 
MQLTRY_OBJS= \
	"$(OUTDIR)\mqltry.obj" 
EMDFTRY_OBJS= \
	"$(OUTDIR)\emdftry.obj" 


"$(OUTDIR)\mqltry.exe" : "$(OUTDIR)" $(DEF_FILE) $(MQLTRY_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) "$(OUTDIR)\libmql.lib" "$(OUTDIR)\libpcre_emdros.lib" /out:"$(OUTDIR)\mqltry.exe" $(DEF_FLAGS) $(MQLTRY_OBJS)
<<

"$(OUTDIR)\emdftry.exe" : "$(OUTDIR)" $(DEF_FILE) $(EMDFTRY_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) /out:"$(OUTDIR)\emdftry.exe" $(DEF_FLAGS) $(EMDFTRY_OBJS)
<<


    


.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
